org.bouncycastle.tsp.test

## Class ParseTest

- java.lang.Object
- - TestCase
  - - org.bouncycastle.tsp.test.ParseTest

    public class ParseTest
    extends TestCase

Test Cases

### Constructor Summary

Constructors
Constructor and Description
`ParseTest()`

### Method Summary

Methods
`java.lang.String` `getName()`
`void` `parse(byte[] encoded, boolean tokenPresent)`
`void` `testParsing()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ParseTest

    public ParseTest()

### Method Detail

#### getName

    public java.lang.String getName()

#### testParsing

    public void testParsing()
                     throws java.lang.Exception

Throws:
  `java.lang.Exception`

#### parse

    public void parse(byte[] encoded,
             boolean tokenPresent)
               throws java.lang.Exception

Throws:
  `java.lang.Exception`